Go to the first, previous, next, last section, table of contents.

### `sffctr`

`sffctr(poly)`
  :: Irreducible factorization over a small finite field.

return
  list
poly
  polynomial over a finite field

- Factorize poly into irreducible factors over a small finite field currently set.
- The result is a list [[f1,m1],[f2,m2],...], where fi is a monic irreducible factor and mi is its multiplicity.

    [0] setmod_ff(2,10);
    [2,x^10+x^3+1,x]
    [1] sffctr((z*y^3+z*y)*x^3+(y^5+y^3+z*y^2+z)*x^2+z^11*y*x+z^10*y^3+z^11);
    [[@_0,1],[@_0*z*y*x+@_0*y^3+@_0*z,1],[(@_0*y+@_0)*x+@_0*z^5,2]]

`References`
  section `setmod_ff`, section `modfctr`

Go to the first, previous, next, last section, table of contents.